---
base_dir: data/model
log_level: INFO
data:
  batch_size: 64
  dataset_dir: data/PEMS-BAY
  test_batch_size: 64
  val_batch_size: 64
  graph_pkl_filename: data/sensor_graph/adj_mx_bay.pkl

model:
  cl_decay_steps: 2000
  filter_type: dual_random_walk
  horizon: 12
  input_dim: 2
  l1_decay: 0
  max_diffusion_step: 2
  num_nodes: 325
  num_rnn_layers: 2
  output_dim: 1
  rnn_units: 64 
  seq_len: 12
  use_curriculum_learning: true

train:
  base_lr: 0.01
  dropout: 0
  epoch: 0
  epochs: 100
  epsilon: 1.0e-3
  global_step: 0
  lr_decay_ratio: 0.1
  max_grad_norm: 5
  max_to_keep: 100
  min_learning_rate: 2.0e-06
  optimizer: adam
  patience: 50
  steps: [20, 30, 40, 50]
  test_every_n_epochs: 10
